Page MenuHomePhabricator

Test MW code in buster as well as stretch
Closed, ResolvedPublic

Description

  • Provide a Quibble base image on Buster
  • Provide buster variants of all main (php72) Quibble jobs
  • Enable PHP 7.2-on-buster jobs as experimental
  • Ensure everything passes
  • Enable PHP 7.2-on-buster jobs as voting for all repos
    • MediaWiki core
    • MediaWiki vendor
    • MediaWiki skins
    • MediaWiki extensions

Related Objects

Event Timeline

Change 645467 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: [quibble] Provide buster variants of all php72 jobs

https://gerrit.wikimedia.org/r/645467

Change 645468 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Zuul: Provide experimental PHP 7.2-on-buster jobs

https://gerrit.wikimedia.org/r/645468

It would be good to get these voting now that we're starting to have buster MW servers in production.

Antoine said they'd handle this.

We have the Docker image and the CI configuration change is ready (thanks James). With the holiday break and other maintenance work there was no real bandwidth to do it in December and deal with the aftermath.

I think last time I went to trigger the job on all the most important repo to ensure they were still passing fine. But maybe we can announce the change and just flip them (not on Thursday or Friday obviously).

There is also a Quibble release planned but it hasn't been cut yet so I guess that will happen after the switch to Buster. Lets aim at doing it early next week :]

Change 645467 merged by jenkins-bot:
[integration/config@master] jjb: [quibble] Provide buster variants of all php72 jobs

https://gerrit.wikimedia.org/r/645467

Change 645468 merged by jenkins-bot:
[integration/config@master] Zuul: Provide experimental PHP 7.2-on-buster jobs

https://gerrit.wikimedia.org/r/645468

Mentioned in SAL (#wikimedia-releng) [2021-01-07T18:34:55Z] <James_F> Zuul: Provide experimental PHP 7.2-on-buster jobs T252434

Change 674171 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Zuul: [mediawiki/core] Make php72_buster jobs voting for master branch

https://gerrit.wikimedia.org/r/674171

Change 674172 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Zuul: [mediawiki/vendor] Make php72_buster jobs voting for master branch

https://gerrit.wikimedia.org/r/674172

Change 674173 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Zuul: Make php72_buster jobs voting for extension-quibble template

https://gerrit.wikimedia.org/r/674173

Change 674174 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Zuul: Make php72_buster jobs voting for skin-quibble template

https://gerrit.wikimedia.org/r/674174

Change 674175 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Switch all quibble php72 jobs over to buster

https://gerrit.wikimedia.org/r/674175

Change 674176 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Zuul: Drop the now duplicate PHP72 'buster' quibble jobs

https://gerrit.wikimedia.org/r/674176

Change 674177 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Drop all quibble php72 jobs on buster

https://gerrit.wikimedia.org/r/674177

Change 674178 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Switch all remaining uses of quibble-stretch-php72 image to buster

https://gerrit.wikimedia.org/r/674178

Change 674179 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: Provide quibble-buster-php*

https://gerrit.wikimedia.org/r/674179

Change 674180 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: [quibble] Switch PHP73/74/80 jobs to buster images

https://gerrit.wikimedia.org/r/674180

Change 674181 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: Drop quibble-stretch-php72+, unused

https://gerrit.wikimedia.org/r/674181

Change 674171 merged by jenkins-bot:
[integration/config@master] Zuul: [mediawiki/core] Make php72_buster jobs voting for master branch

https://gerrit.wikimedia.org/r/674171

Mentioned in SAL (#wikimedia-releng) [2021-03-23T01:35:46Z] <James_F> Zuul: [mediawiki/core] Make php72_buster jobs voting for master branch T252434

Change 674172 merged by jenkins-bot:
[integration/config@master] Zuul: [mediawiki/vendor] Make php72_buster jobs voting for master branch

https://gerrit.wikimedia.org/r/674172

Mentioned in SAL (#wikimedia-releng) [2021-03-23T02:23:16Z] <James_F> Zuul: [mediawiki/vendor] Make php72_buster jobs voting for master branch T252434

Change 674174 merged by jenkins-bot:
[integration/config@master] Zuul: Make php72_buster jobs voting for skin-quibble template

https://gerrit.wikimedia.org/r/674174

Mentioned in SAL (#wikimedia-releng) [2021-03-23T02:38:59Z] <James_F> Zuul: Make php72_buster jobs voting for skin-quibble template T252434

Mentioned in SAL (#wikimedia-releng) [2021-03-23T04:45:03Z] <James_F> dockerfiles: [quibble-buster] Switch npm to our own build, and cascade T252434

Change 674187 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Switch quibble-buster jobs to image with npm 6.x not 5.x

https://gerrit.wikimedia.org/r/674187

Change 674187 merged by jenkins-bot:
[integration/config@master] jjb: Switch quibble-buster jobs to image with npm 6.x not 5.x

https://gerrit.wikimedia.org/r/674187

Change 674173 merged by jenkins-bot:

[integration/config@master] Zuul: Make php72_buster jobs voting for extension-quibble template

https://gerrit.wikimedia.org/r/674173

Mentioned in SAL (#wikimedia-releng) [2021-04-16T16:46:27Z] <James_F> Zuul: Make php72_buster jobs voting for extension-quibble template T252434

Jdforrester-WMF updated the task description. (Show Details)